proc xresources {} {

  option add *Entry.highlightThickness		2
  option add *Entry.relief			sunken
  option add *Entry.width			15
  option add *MenuButton.relief			raised
  option add *Menu.relief			raised
  option add *Menu.tearoff 			1
  option add *RadioButton.relief		flat
  option add *Label.width			15
  option add *MenuButton.relief			raised
}


set colour_options {0 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15}
set colour_label(0)     "Black"
set colour_label(1)     "White"
set colour_label(2)     "Red"
set colour_label(3)     "Green"
set colour_label(4)     "Blue"
set colour_label(5)     "Cyan"
set colour_label(6)     "Magenta"
set colour_label(7)     "Yellow"
set colour_label(8)     "Orange"
set colour_label(9)     "Light Green"
set colour_label(10)    "Sea Green"
set colour_label(11)    "Light Blue"
set colour_label(12)    "Purple"
set colour_label(13)    "Crimson"
set colour_label(14)    "Dark Grey"
set colour_label(15)    "Light Grey"

set symbol_options {1 2 3 4 5 6}
set symbol_label(1) 	"Point"
set symbol_label(2) 	"Plus"
set symbol_label(3) 	"Star"
set symbol_label(4) 	"Circle"
set symbol_label(5) 	"Cross"
set symbol_label(6) 	"Box"

set font_options {1 2 3 4}
set font_label(1)	"Normal"
set font_label(2)	"Roman"
set font_label(3)	"Italic"
set font_label(4)	"Script"

set line_options {1 2 3 4}
set line_label(1)	"Full"
set line_label(2)	"Dash"
set line_label(3)	"Dot-Dash"
set line_label(4)	"Dot"

set device_options {tk xw ps vps cps cvps}
set device_label(tk)	"tk Window"
set device_label(xw)	"xw Window"
set device_label(ps)	"Postscript"
set device_label(vps)	"Vertical Postscript"
set device_label(cps)	"Colour Postscript"
set device_label(cvps)	"Colour Vertical Postscript"

set graphType_options {1 2 3 4}
set graphType_label(1) 	"Histogram"
set graphType_label(2) 	"Line"
set graphType_label(3) 	"Errors"
set graphType_label(4) 	"Markers"

set contourType_options {1 2 3}
set contourType_label(1)	"Contour"
set contourType_label(2)	"Contour Array"
set contourType_label(3)	"Contour Function"

set cellType_options {1 2 3}
set cellType_labels(1)	"Cell"
set cellType_labels(2)	"Cell Array"
set cellType_labels(3)	"Cell Function"

global devNum messText name test lcolour lwidth tcolour tsize finish graph \
       fileNumber
set test ""
set name _
set lcolour ""
set lwidth ""
set tcolour ""
set tsize ""
set start ""
set finish ""
set fileNumber 0

set graph .start
catch {destroy $graph}
toplevel $graph
wm title $graph "Sample Genie GUI"

#catch {destroy $graph.box}
#catch {destroy $graph.but}
xresources
set devNum 0
set messText ""

tixFileEntry $graph.file -labelside left -label "File Name: " \
	     -dialogtype tixExFileSelectDialog -command get_filename
set tmp [tix filedialog tixExFileSelectDialog]
$tmp subwidget fsbox config -filetypes {
        {{*}    {All files}}
        {{*.raw}        {Raw files}}
    }

frame $graph.but
pack $graph.file $graph.but -side top -expand yes -fill x

set genie_tcl_dir $env(GENIE_TCL_DIR)

button $graph.but.display -image [image create photo -file $genie_tcl_dir/display.gif] \
       -command {fileThere 0}
button $graph.but.multiplot -image [image create photo -file $genie_tcl_dir/display.gif] \
       -command multiplot
button $graph.but.contour -image [image create photo -file $genie_tcl_dir/contour.gif] \
       -command {primCont contour}
button $graph.but.cell -image [image create photo -file $genie_tcl_dir/cell.gif] \
       -command {primCont cell}

pack $graph.but.display $graph.but.multiplot $graph.but.contour $graph.but.cell -side left
tixButtonBox $graph.box -orientation horizontal
$graph.box add view -text "View File" -command "open {1}"
$graph.box add exit -text Exit -command "catch {destroy .}"

pack $graph.box -side bottom -expand yes -fill x 

$graph.but.display config -activebackground Red
$graph.but.multiplot config -activebackground Red
$graph.but.contour config -activebackground Red
$graph.but.cell config -activebackground Red
$graph.box.view config -activebackground Red
$graph.box.exit config -activebackground Green
$graph.file subwidget button config -activebackground Green
#button .graph -text Graph 			-command graph
#
#menubutton .device -text Device -menu .device.menu
#set m [menu .device.menu]
#
#$m add command -label Open 			-command "adevice 0 0"
#$m add command -label "Open..." 		-command deviceOptions
#$m add command -label "Close"			-command deviceClose
#$m add command -label "Clear"			-command deviceClear
#
#button .exit -text Exit 			-command exit
#
#pack .graph .device .exit -side left \
#      -expand true
